curl --request GET \
--url https://api.pickfu.com/v1/surveys/{id}/responses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pickfu.com/v1/surveys/{id}/responses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pickfu.com/v1/surveys/{id}/responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pickfu.com/v1/surveys/{id}/responses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pickfu.com/v1/surveys/{id}/responses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pickfu.com/v1/surveys/{id}/responses")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pickfu.com/v1/surveys/{id}/responses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"currency": "<string>",
"data": [
{
"id": "<string>",
"pinned": true,
"explanation": "<string>",
"translation": "<string>",
"chosenOption": "<string>",
"selectedOptions": [
"<string>"
],
"score": 123,
"clicks": [
{
"number": 123,
"xCoord": 123,
"yCoord": 123
}
],
"ranking": [
{
"rank": 123,
"option": "<string>"
}
],
"media": "<string>",
"mediaTranscription": "<string>",
"matchup": {
"option1": "<string>",
"option2": "<string>"
},
"statements": [
{
"id": "<string>",
"statement": "<string>",
"value": 123
}
],
"prices": {
"tooCheap": 123,
"bargain": 123,
"expensive": 123,
"tooExpensive": 123
},
"respondent": [
{
"trait": "<string>",
"value": "<string>"
}
],
"question_id": "<string>"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"availableLanguages": [
"<string>"
]
}Get survey responses
Returns paginated individual responses for a survey. Each response includes the respondent’s answer, written explanation, demographic traits, and media (if applicable). Use question_id to filter responses to a specific question, text to search response explanations, and traits to filter by respondent demographics.
curl --request GET \
--url https://api.pickfu.com/v1/surveys/{id}/responses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pickfu.com/v1/surveys/{id}/responses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pickfu.com/v1/surveys/{id}/responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pickfu.com/v1/surveys/{id}/responses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pickfu.com/v1/surveys/{id}/responses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pickfu.com/v1/surveys/{id}/responses")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pickfu.com/v1/surveys/{id}/responses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"currency": "<string>",
"data": [
{
"id": "<string>",
"pinned": true,
"explanation": "<string>",
"translation": "<string>",
"chosenOption": "<string>",
"selectedOptions": [
"<string>"
],
"score": 123,
"clicks": [
{
"number": 123,
"xCoord": 123,
"yCoord": 123
}
],
"ranking": [
{
"rank": 123,
"option": "<string>"
}
],
"media": "<string>",
"mediaTranscription": "<string>",
"matchup": {
"option1": "<string>",
"option2": "<string>"
},
"statements": [
{
"id": "<string>",
"statement": "<string>",
"value": 123
}
],
"prices": {
"tooCheap": 123,
"bargain": 123,
"expensive": 123,
"tooExpensive": 123
},
"respondent": [
{
"trait": "<string>",
"value": "<string>"
}
],
"question_id": "<string>"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}{
"statusCode": 123,
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"availableLanguages": [
"<string>"
]
}Authorizations
OAuth2 access token obtained via the authorization flow. Include in the Authorization header as: Bearer {access_token}
Path Parameters
Survey GUID
Query Parameters
Page number
x >= 1Results per page (1-100)
1 <= x <= 100Filter responses to a specific question by its GUID
Language code for response translations (e.g. ES, FR, DE)
Keyword to filter responses by explanation text (case-insensitive)
255Comma-separated trait value permalinks to filter by respondent demographics (e.g. "male,age-25-34"). Values within the same trait use OR logic; across different traits use AND logic.
Was this page helpful?
